# module Gem::Resolver::Molinillo

`Gem::Resolver::Molinillo` is a generic dependency resolution algorithm.

### Constants

ResolutionState

  A state that a {Resolution} can be in @attr [String] name the name of the current requirement @attr [Array<Object>] requirements currently unsatisfied requirements @attr [DependencyGraph] activated the graph of activated dependencies @attr [Object] requirement the current requirement @attr [Object] possibilities the possibilities to satisfy the current requirement @attr [Integer] depth the depth of the resolution @attr [Hash] conflicts unresolved conflicts, indexed by dependency name @attr [Array<UnwindDetails>] unused_unwind_options unwinds for previous conflicts that weren’t explored

VERSION

  The version of `Gem::Resolver::Molinillo`.